import 'dart:async';

import 'package:connectivity/connectivity.dart';

enum CBConnectivityStatus { WiFi, Cellular, Offline }

class CBConnectivityService {
  static CBConnectivityStatus connectionStatus;

  static init() {
    Connectivity().onConnectivityChanged.listen((ConnectivityResult result) {
      connectionStatus = _connectionStatus(result);
    });
  }

  /// Convert from the third part enum to our own enum
  static CBConnectivityStatus _connectionStatus(ConnectivityResult result) {
    switch (result) {
      case ConnectivityResult.mobile:
        return CBConnectivityStatus.Cellular;
      case ConnectivityResult.wifi:
        return CBConnectivityStatus.WiFi;
      case ConnectivityResult.none:
        return CBConnectivityStatus.Offline;
      default:
        return CBConnectivityStatus.Offline;
    }
  }
}
